• What is KendoReact
  • Getting Started
  • Components
    • Animation
    • Barcodes
    • Buttons
    • Chartsupdated
    • Common Utilitiesupdated
    • Conversational UI
    • Data Gridupdated
    • Data Query
    • Data Tools
    • Date Inputsupdated
    • Date Math
    • Dialogs
    • Drawing
    • Dropdownsupdated
    • Editorupdated
    • Excel Export
    • File Saver
    • Form
    • Gantt
    • Gauges
    • Indicators
    • Inputsupdated
    • Labels
    • Layoutupdated
    • ListBox
    • ListView
    • Map
    • Notification
    • PDF Processing
    • PDFViewerupdated
    • PivotGrid
    • Popup
    • Progress Bars
    • Ripple
    • Scheduler
    • ScrollView
    • Sortable
    • Spreadsheetnew
    • TaskBoard
    • Tooltips
    • TreeList
    • TreeView
    • Upload
  • Sample Applications
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Changelog
  • Updates
  • Troubleshooting

Getting Started with the KendoReact Dropdowns

This guide provides essential information about using the KendoReact Dropdowns package—you will learn how to install the package, add Dropdowns to your project, style the components, and activate your license. The steps demonstrated in this guide are applicable to all KendoReact Dropdowns.


After completing this guide, you will be able to reproduce the following example.

Example
View Source
Change Theme:

Setting Up Your React Project

Before you install the KendoReact Dropdowns, make sure that you have a running React project. The easiest way to set up a React project is to use the Create React App approach that is described in the Get Started with KendoReact article.

Installing the Components

All KendoReact packages are distributed through npm and offer a similar installation experience. To use any of the Dropdowns, start with the installation of the npm package and its dependencies. Use Node.js v5.0.0 or later.

Navigate to the root folder of your React project and run the following command:

npm install --save @progress/kendo-react-dropdowns @progress/kendo-react-treeview @progress/kendo-react-buttons @progress/kendo-react-intl @progress/kendo-licensing @progress/kendo-svg-icons @progress/kendo-react-progressbars

Importing the Components

After installing the Dropdowns package, import the desired components in the React App. This guide shows how to add the DropDownList.

In the App component file of your React project (for example, src/App.js), add the following code:

// ES2015 module syntax
import { DropDownList } from '@progress/kendo-react-dropdowns';
// CommonJS format
const { DropDownList } = require('@progress/kendo-react-dropdowns');

If your project requires more Dropdowns, you can import them too. The Dropdowns package provides the following components:

  • AutoComplete
  • ComboBox
  • DropDownList
  • DropDownTree
  • MultiColumnComboBox
  • MultiSelect
  • MultiSelectTree

Using the Components

  1. Get the data for the DropDownList.

       const sizes = [ "X-Small", "Small", "Medium", "Large", "X-Large", "2X-Large" ];
  2. Bind the data to the DropDownList and add the DropDownList's tags to the App component file of your React project (for example, src/App.js).

       return (
          <div>
             <div>T-shirt size:</div>
             <DropDownList style={{ width: '300px' }} data={sizes} />
          </div>
       );
  3. To style the DropDownList, install and import the Default theme, which is one of the three beautiful themes for KendoReact.

    3.1. Install the Default theme package.

    npm install --save @progress/kendo-theme-default

    3.2. Import the CSS file from the package in src/App.js. Add this import before your existing App.css import.

    import '@progress/kendo-theme-default/dist/all.css';
  4. Build and run the application by typing the following command in the root folder of your project:

    npm start
  5. Navigate to http://localhost:3000 to see the KendoReact DropDownList component on the page.

Now try to add another component from the Dropdowns package yourself. The procedures for installing, importing, and using the Dropdowns components are identical for all components in the package.

Activating Your License Key

Using any of the UI components in the KendoReact library requires either a commercial license key or an active trial license key.

Follow the instructions on the KendoReact My License page to activate your trial or commercial license. You can skip this step if your application already contains a KendoReact license file.

Dependencies

The Dropdowns package requires you to install the following peer dependencies in your application:

Package NameDescription
react 16.8.2*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-react-buttonsContains the KendoReact Buttons library, which provides buttons.
@progress/kendo-react-treeviewContains the KendoReact TreeView package that is used in the DropDowns.
@progress/kendo-react-intlContains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-svg-iconsContains the KendoReact SVG icons.

Learning Resources

• Getting Started
  • Components
    • Barcodes
    • Buttonsupdated
    • Chartsupdated
    • Conversational UIupdated
    • Data Query
    • Date Inputsupdated
    • Date Math
    • Dialogsupdated
    • Drawing
    • Dropdownsupdated
    • Editorupdated
    • Excel Export
    • File Saver
    • Filter
    • Ganttupdated
    • Gauges
    • Gridupdated
    • Iconsupdated
    • Indicators
    • Inputsupdated
    • Labels
    • Layoutupdated
    • ListBoxupdated
    • ListView
    • Mapbeta
    • Menusupdated
    • Navigationupdated
    • Notification
    • Pagerupdated
    • PDF Export
    • PivotGridupdated
    • Popup
    • ProgressBars
    • Ripple
    • Schedulerupdated
    • ScrollViewupdated
    • Sortableupdated
    • ToolBarupdated
    • Tooltipsupdated
    • TreeList
    • TreeView
    • Typography
    • Uploadsupdated
    • Utilitiesupdated
  • Styling & Themes
  • Common Features
  • Project Setup
  • Knowledge Base
  • Sample Applications
  • FAQ
  • Troubleshooting
  • Updates
  • Changelogs

Getting Started with the Kendo UI for Angular Dropdowns

This guide provides the information you need to start using the Kendo UI for Angular Dropdowns—it includes instructions about the available installation approaches, the required dependencies, the code for running the project, and links to additional resources.

The DropDowns Package is part of Kendo UI for Angular, a professional grade UI library with 100+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Change Theme:

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Components

You can choose to use either of the following two approaches for installing the Kendo UI for Angular package and the styles you want to apply:

Quick Setup with Angular CLI

The quick setup presents an automatic approach for adding packages with Angular CLI through the ng-add command. It is suitable for saving time and efforts as ng-add executes in a single step a set of otherwise individually needed commands.

To add the Kendo UI for Angular Dropdowns package, run the following command:

ng add @progress/kendo-angular-dropdowns

As a result, the ng-add command will perform the following actions:

  • Add the @progress/kendo-angular-dropdowns package as a dependency to the package.json file.
  • Import the DropDownsModule in the current application module.
  • Register the Kendo UI Default theme in the angular.json file.
  • Add all required peer dependencies to the package.json file.
  • Trigger npm install to install the theme and all peer packages that are added.

Manual Setup

The manual setup provides greater visibility and better control over the files and references installed in your Angular application. You can install the required peer dependencies and a Kendo UI theme by running separate commands for each step and import the desired component modules in your application root or feature module.

  1. Install the Dropdowns package together with its dependencies by running the following command:

      npm install --save @progress/kendo-angular-dropdowns @progress/kendo-angular-l10n @progress/kendo-angular-popup @progress/kendo-angular-treeview @progress/kendo-angular-inputs @progress/kendo-angular-intl @progress/kendo-drawing @progress/kendo-angular-common @progress/kendo-licensing @progress/kendo-angular-icons
  2. If you need all Dropdowns components in your application, import all Dropdowns at once by using the DropDownsModule. Otherwise import the specific components by adding their individual modules.

    The Dropdowns package exports the following individual modules for its components:

    ModuleComponent
    AutoCompleteModuleAutoComplete
    ComboBoxModuleComboBox
    DropDownListModuleDropDownList
    DropDownTreesModuleDropDownTree and MultiSelectTree
    MultiSelectModuleMultiSelect
    • To add all Dropdowns components, import the DropDownsModule in your root application or feature module.

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { DropDownsModule } from '@progress/kendo-angular-dropdowns';
      import { AppComponent } from './app.component';
      
      @NgModule({
          bootstrap:    [AppComponent],
          declarations: [AppComponent],
          imports:      [BrowserModule, BrowserAnimationsModule, DropDownsModule]
      })
      export class AppModule {
      }
    • To add individual Dropdowns components, import only the modules you need in your root application or feature module.

      import { NgModule } from '@angular/core';
      import { BrowserModule } from '@angular/platform-browser';
      import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
      import { AppComponent } from './app.component';
      
      // Imports the AutoComplete module
      import { AutoCompleteModule } from '@progress/kendo-angular-dropdowns';
      
      // Imports the ComboBox module
      import { ComboBoxModule } from '@progress/kendo-angular-dropdowns';
      
      @NgModule({
          bootstrap: [AppComponent],
          imports:   [
              BrowserModule, BrowserAnimationsModule,
              AutoCompleteModule, ComboBoxModule
          ]
      })
      export class AppModule {}
  3. The next step is to style the components by installing one of the available Kendo UI themes—Kendo UI Default, Kendo UI Material, or Kendo UI Bootstrap.

    3.1 To start using a theme, install its package through NPM.

    • Default theme

      npm install --save @progress/kendo-theme-default
    • Bootstrap theme

      npm install --save @progress/kendo-theme-bootstrap
    • Material theme

      npm install --save @progress/kendo-theme-material

    3.2 After the theme package is installed, reference it in your project. You can include a Kendo UI theme in your project in one of the following ways:

Using the Components

  1. After successfully installing the Dropdowns package and importing the desired modules, add the corresponding tags of the components you need in the app.component.html. For example, if you need the DropDownList component, add the following code:

     <kendo-dropdownlist [data]="listItems"></kendo-dropdownlist>
  2. Bind the data property to an array of items, for example:

        public listItems: Array<string> = [
        'Baseball',
        'Basketball',
        'Cricket',
        'Field Hockey',
        'Football',
        'Table Tennis',
        'Tennis',
        'Volleyball'
    ];
  3. Build and serve the application by running the following command in the root folder.

    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular DropDownList component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Dependencies

The following table lists the specific functionalities that are provided by each of the Dropdowns dependencies as per package:

Package NameDescription
@angular/commonProvides the commonly-needed services, pipes, and directives provided by the Angular team. For more information, refer to the official Angular documentation.
@angular/coreContains critical runtime parts of the Angular framework that are needed by every application. For more information, refer to the official Angular documentation.
@angular/formsProvides support for both template-driven and reactive forms. For more information, refer to the official Angular documentation.
@progress/kendo-angular-commonContains common utilities that are needed by every Kendo UI for Angular component.
@progress/kendo-angular-l10nProvides the globalization features of Kendo UI for Angular.
@progress/kendo-angular-iconsContains the Kendo UI for Angular Icons.
@progress/kendo-angular-intlProvides the Kendo UI for Angular services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-angular-inputsContains the Kendo UI for Angular Inputs components.
@progress/kendo-angular-popupContains the Kendo UI for Angular Popup component.
@progress/kendo-angular-treeviewContains the Kendo UI for Angular TreeView component.
@progress/kendo-drawingProvides the Kendo UI cross-browser library for interactive vector graphics.
@progress/kendo-dropdownsContains basic Kendo UI Dropdowns utilities that are needed for the Kendo UI for Angular Dropdowns to work properly. This package will be automatically added to your project when you install the rest of the dependencies.
@progress/kendo-licensingContains the kendo-ui-license CLI utility for license management and the internal infrastructure related to licensing.
rxjsProvides the RxJS library for reactive programming which uses Observables for an easier composition of asynchronous or callback-based code.

Learning Resources